summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2018-04-15 15:01:28 -0400
committerJune McEnroe <june@causal.agency>2018-04-15 15:01:28 -0400
commitc9ef9b09cbd67ea41fe353f21d92c6c87aa39b48 (patch)
tree62407a90bb9bf658515dab5e7c1433414e852373
parentRemove d-_-b (diff)
downloadsrc-c9ef9b09cbd67ea41fe353f21d92c6c87aa39b48.tar.gz
src-c9ef9b09cbd67ea41fe353f21d92c6c87aa39b48.zip
Add TF2 configs
Diffstat (limited to '')
-rw-r--r--etc/tf/cfg/autoexec.cfg3
-rw-r--r--etc/tf/cfg/engineer.cfg3
-rw-r--r--etc/tf/cfg/heavyweapons.cfg3
-rw-r--r--etc/tf/cfg/scout.cfg4
-rwxr-xr-xetc/tf/link.zsh7
5 files changed, 20 insertions, 0 deletions
diff --git a/etc/tf/cfg/autoexec.cfg b/etc/tf/cfg/autoexec.cfg
new file mode 100644
index 00000000..14dc5638
--- /dev/null
+++ b/etc/tf/cfg/autoexec.cfg
@@ -0,0 +1,3 @@
+tf_contract_progress_show 0
+bind \ kill
+bind = "bind mouse2 +attack2; toggle r_drawviewmodel 0 1"
diff --git a/etc/tf/cfg/engineer.cfg b/etc/tf/cfg/engineer.cfg
new file mode 100644
index 00000000..1faec67e
--- /dev/null
+++ b/etc/tf/cfg/engineer.cfg
@@ -0,0 +1,3 @@
+bind mouse3 "destroy 2; build 2"
+bind mouse4 "destroy 0; build 0"
+bind mouse5 "destroy 3; build 3"
diff --git a/etc/tf/cfg/heavyweapons.cfg b/etc/tf/cfg/heavyweapons.cfg
new file mode 100644
index 00000000..85275e72
--- /dev/null
+++ b/etc/tf/cfg/heavyweapons.cfg
@@ -0,0 +1,3 @@
+bind mouse3 "voicemenu 2 0"
+bind mouse4 "voicemenu 0 7"
+bind mouse5 "voicemenu 1 4"
diff --git a/etc/tf/cfg/scout.cfg b/etc/tf/cfg/scout.cfg
new file mode 100644
index 00000000..940c1e63
--- /dev/null
+++ b/etc/tf/cfg/scout.cfg
@@ -0,0 +1,4 @@
+r_drawviewmodel 0
+alias +melee "r_drawviewmodel 1; slot3; +attack"
+alias -melee "-attack; slot1; r_drawviewmodel 0"
+bind mouse2 +melee
diff --git a/etc/tf/link.zsh b/etc/tf/link.zsh
new file mode 100755
index 00000000..a00f1c01
--- /dev/null
+++ b/etc/tf/link.zsh
@@ -0,0 +1,7 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset
+
+tf="$HOME/Library/Application Support/Steam/steamapps/common/Team Fortress 2/tf"
+for cfg in cfg/*.cfg; do
+    ln -s -f "$PWD/$cfg" "$tf/$cfg"
+done
ommit/bundle/quicktask?id=35bad5cb30ab76705ba23a2baf8abb2b3fe8e7d2&follow=1'>Update to Quicktask 1.1June McEnroe 2012-01-22Use space-test branch of quicktaskJune McEnroe 2012-01-22Enable syntax-based foldingJune McEnroe 2012-01-22Update quicktaskJune McEnroe 2012-01-22Revert "Add AutoClose"June McEnroe This reverts commit 39cfdd62ba82f93f68a2b5fa7b5771303d8b9dee. This fixes the delay when leaving insert mode 2012-01-22Revert "Disable powerline for now"June McEnroe This reverts commit fa48f5965c57272e616721d92475cd2f1e35f667. 2012-01-22Revert "Add VCS repo directories to wildignore"June McEnroe This reverts commit 41cb1db33ba7b64d8af63bf55bb82f7e8a617518. This fixes not being able to commit with vim-fugitive 2012-01-22Disable powerline for nowJune McEnroe 2012-01-22Update some pluginsJune McEnroe 2012-01-22Add VCS repo directories to wildignoreJune McEnroe 2012-01-22Map ,e and ,b to CtrlP file and buffer respectivelyJune McEnroe 2012-01-22Add vim-spaceJune McEnroe 2012-01-22Add AutoCloseJune McEnroe 2012-01-22Add binding for GundoJune McEnroe 2012-01-22Add GundoJune McEnroe 2012-01-22Add Jellybeans colorschemeJune McEnroe 2012-01-22Add syntasticJune McEnroe 2012-01-21Add PowerlineJune McEnroe 2012-01-21Add quicktaskJune McEnroe 2012-01-15Moved comments out of mapsJune McEnroe 2012-01-14Disable scrollbarsJune McEnroe